summaryrefslogtreecommitdiff
path: root/travis/should-run-test
diff options
context:
space:
mode:
authorDavid Sterba <dsterba@suse.com>2017-10-10 17:08:03 +0200
committerDavid Sterba <dsterba@suse.com>2017-10-13 20:15:50 +0200
commit5a69c58be683f3b420dc67257c9a95191023c002 (patch)
tree1856385e70715f4e101835d4e34617dffd6e2343 /travis/should-run-test
parenta69c1917c255c453cecf8d693471324a77d8a1aa (diff)
btrfs-progs: build: move travis helper script to own directory
We're going to add move build check integration scripts and configuration, so put everything under travis/ now. Signed-off-by: David Sterba <dsterba@suse.com>
Diffstat (limited to 'travis/should-run-test')
-rwxr-xr-xtravis/should-run-test24
1 files changed, 24 insertions, 0 deletions
diff --git a/travis/should-run-test b/travis/should-run-test
new file mode 100755
index 00000000..f711615c
--- /dev/null
+++ b/travis/should-run-test
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+if [ -z "$TRAVIS_BRANCH" ] ; then
+ # no branch? run anyway
+ exit 0
+fi
+
+# no tests
+if [ "$TRAVIS_BRANCH" = 'coverity_scan' ]; then
+ exit 1
+fi
+
+# quick tests
+if [ "$TRAVIS_BRANCH" = 'devel' -o "$TRAVIS_BRANCH" = 'master' ]; then
+ exit 0
+fi
+
+# all tests
+if [ "$TRAVIS_BRANCH" = 'release-test' ]; then
+ exit 0
+fi
+
+# branch not recognized
+exit 1